RDKit::MolDrawOptions Struct Reference

`#include <MolDraw2D.h>`

## Public Member Functions

| MolDrawOptions ()

## Public Attributes

bool | atomLabelDeuteriumTritium
bool | dummiesAreAttachments
bool | circleAtoms
DrawColour | highlightColour
bool | continuousHighlight
bool | fillHighlights
int | flagCloseContactsDist
bool | includeAtomTags
bool | clearBackground
DrawColour | backgroundColour
int | legendFontSize
DrawColour | legendColour
double | multipleBondOffset
double | padding
double | additionalAtomLabelPadding
std::map< int, std::string > | atomLabels
std::vector< std::vector< int > > | atomRegions
DrawColour | symbolColour
int | bondLineWidth
bool | prepareMolsBeforeDrawing
std::vector< DrawColour > | highlightColourPalette
ColourPalette | atomColourPalette

## Detailed Description

Definition at line 89 of file MolDraw2D.h.

## Constructor & Destructor Documentation

## MolDrawOptions()

RDKit::MolDrawOptions::MolDrawOptions | ( |  | ) |

inline

Definition at line 130 of file MolDraw2D.h.

References RDKit::assignDefaultPalette().

## Member Data Documentation

## additionalAtomLabelPadding

double RDKit::MolDrawOptions::additionalAtomLabelPadding

Definition at line 112 of file MolDraw2D.h.

## atomColourPalette

ColourPalette RDKit::MolDrawOptions::atomColourPalette

Definition at line 126 of file MolDraw2D.h.

## atomLabelDeuteriumTritium

bool RDKit::MolDrawOptions::atomLabelDeuteriumTritium

Definition at line 90 of file MolDraw2D.h.

## atomLabels

std::map<int, std::string> RDKit::MolDrawOptions::atomLabels

Definition at line 115 of file MolDraw2D.h.

## atomRegions

std::vector<std::vector<int> > RDKit::MolDrawOptions::atomRegions

Definition at line 116 of file MolDraw2D.h.

## backgroundColour

DrawColour RDKit::MolDrawOptions::backgroundColour

Definition at line 105 of file MolDraw2D.h.

## bondLineWidth

int RDKit::MolDrawOptions::bondLineWidth

Definition at line 119 of file MolDraw2D.h.

## circleAtoms

bool RDKit::MolDrawOptions::circleAtoms

Definition at line 92 of file MolDraw2D.h.

## clearBackground

bool RDKit::MolDrawOptions::clearBackground

Definition at line 102 of file MolDraw2D.h.

## continuousHighlight

bool RDKit::MolDrawOptions::continuousHighlight

Definition at line 94 of file MolDraw2D.h.

## dummiesAreAttachments

bool RDKit::MolDrawOptions::dummiesAreAttachments

Definition at line 91 of file MolDraw2D.h.

## fillHighlights

bool RDKit::MolDrawOptions::fillHighlights

Definition at line 96 of file MolDraw2D.h.

## flagCloseContactsDist

int RDKit::MolDrawOptions::flagCloseContactsDist

Definition at line 98 of file MolDraw2D.h.

## highlightColour

DrawColour RDKit::MolDrawOptions::highlightColour

Definition at line 93 of file MolDraw2D.h.

## highlightColourPalette

std::vector<DrawColour> RDKit::MolDrawOptions::highlightColourPalette

Definition at line 123 of file MolDraw2D.h.

## includeAtomTags

bool RDKit::MolDrawOptions::includeAtomTags

Definition at line 100 of file MolDraw2D.h.

## legendColour

DrawColour RDKit::MolDrawOptions::legendColour

Definition at line 108 of file MolDraw2D.h.

## legendFontSize

int RDKit::MolDrawOptions::legendFontSize

Definition at line 106 of file MolDraw2D.h.

## multipleBondOffset

double RDKit::MolDrawOptions::multipleBondOffset

Definition at line 109 of file MolDraw2D.h.

## padding

double RDKit::MolDrawOptions::padding

Definition at line 111 of file MolDraw2D.h.

## prepareMolsBeforeDrawing

bool RDKit::MolDrawOptions::prepareMolsBeforeDrawing

Definition at line 121 of file MolDraw2D.h.

## symbolColour

DrawColour RDKit::MolDrawOptions::symbolColour

Definition at line 118 of file MolDraw2D.h.

The documentation for this struct was generated from the following file:

- MolDraw2D.h